Name:           kgraphviewer
Summary:        Graphviz dot graph file viewer
Version:        2.2.0
Release:        11%{?dist}
Group:          Applications/Multimedia
# Bit of a mess. README states it's GPLv2+, however the source files
# indicate it's GPLv2. FDL is included in COPYING.DOC, but does not
# apply to anything.
License:        GPLv2
Url:            https://projects.kde.org/projects/extragear/graphics/kgraphviewer
Source0:        http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  boost-devel
BuildRequires:  graphviz-devel
BuildRequires:  zlib-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs4-devel
Requires:       graphviz
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
%{?kde_runtime_requires}

%description
KGraphViewer is a Graphviz dot graph file viewer.


%package libs
Summary:        Graphviz dot graph file viewer library
Group:          Development/Libraries
Requires:       kde-filesystem


%description libs
KGraphViewer is a Graphviz dot graph file viewer for KDE.
This packages contains a library that can be shared by other tools.


%package devel
Summary:        Graphviz dot graph file viewer development files
Group:          Development/Libraries
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
KGraphViewer is a Graphviz dot graph file viewer for KDE
This package contains files useful for software development with
th KGraphViewer library.


%prep
%setup -q


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%cmake_kde4 ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/*.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml
%find_lang %{name} --with-kde


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
        /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
        /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%{_kde4_bindir}/*
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_configdir}.kcfg/*.kcfg
%{_kde4_appsdir}/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/kde4/kgraphviewerpart.so
%{_kde4_sharedir}/kde4/services/kgraphviewer_part.desktop
%{_datadir}/appdata/*


%files devel
%{_kde4_includedir}/%{name}/
%{_kde4_libdir}/libkgraphviewer.so


%files libs
%{_kde4_libdir}/libkgraphviewer.so.*
%doc AUTHORS
%license COPYING


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Jonathan Wakely <jwakely@redhat.com> - 2.2.0-10
- Rebuilt for Boost 1.63

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 2.2.0-8
- Rebuilt for Boost 1.60

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 2.2.0-7
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.2.0-5
- rebuild for Boost 1.58

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.2.0-3
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 05 2015 Lubomir Rintel <lkundrak@v3.sk> - 2.2.0-2
- Address concerns from the review (Rex Dieter, Mario Blättermann) (rh #1190056)

* Thu Feb 05 2015 Lubomir Rintel <lkundrak@v3.sk> - 2.2.0-1
- Initial packaging
